# Interface WMSSublayerExtensionCollection

A collection of sublayer extensions belonging to a WMSLayerExtension.

interface WMSSublayerExtensionCollection {
initializedItems: ReadOnlyCollection<WMSSublayerExtension>;
findById(id: string): WMSSublayerExtension;
findBySublayerId(id: number): WMSSublayerExtension;
forSublayer(sublayer: WMSSublayer): WMSSublayerExtension;
}

#### Hierarchy (view full)

- InitializableCollection<WMSSublayerExtensionProperties, WMSSublayerExtension>
  - WMSSublayerExtensionCollection

#####
Index

### Properties

initializedItems

### Methods

findById
findBySublayerId
forSublayer

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<WMSSublayerExtension>

Returns a collection of the initialized items.

Inherited from InitializableCollection.initializedItems

##
Methods

### findById

- findById(id): WMSSublayerExtension

- Get the sublayer extension for a given id.

  #### Parameters

  - id: string

    The id of the sublayer extension.

  #### Returns WMSSublayerExtension

  The sublayer extension.

### findBySublayerId

- findBySublayerId(id): WMSSublayerExtension

- Get the corresponding sublayer extension for a given sublayer id.

  #### Parameters

  - id: number

    The id of the sublayer.

  #### Returns WMSSublayerExtension

  The corresponding sublayer extension.

### forSublayer

- forSublayer(sublayer): WMSSublayerExtension

- Gets the corresponding sublayer extension for a given sublayer.

  #### Parameters

  - sublayer: WMSSublayer

    A sublayer.

  #### Returns WMSSublayerExtension

  The corresponding sublayer extension.